Page MenuHomePhabricator

Upgrade ImageMap extension to use newer phan
Closed, ResolvedPublic

Description

ImageMap needs to be upgraded to a newer version of phan, our PHP static analysis tool. This brings in
over 2 years of upstream improvements and lots of bug fixes.

Please follow the instructions on how to migrate at https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension#Migrating_from_phan_0.8.0.

Please also set the Gerrit topic for all patches related to this effort with new-phan-plz.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 7:29 AM

Change 493887 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/ImageMap@master] Upgrade ImageMap extension to use newer phan

https://gerrit.wikimedia.org/r/493887

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 2 2019, 9:10 PM

Change 493887 abandoned by Zoranzoki21:
Upgrade ImageMap extension to use newer phan

https://gerrit.wikimedia.org/r/493887

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.
Zoranzoki21 added a subscriber: Zoranzoki21.

Change 493887 restored by Umherirrender:
Upgrade ImageMap extension to use newer phan

Reason:
Will fix the phan issues

https://gerrit.wikimedia.org/r/493887

Change 493887 merged by jenkins-bot:
[mediawiki/extensions/ImageMap@master] Upgrade ImageMap extension to use newer phan

https://gerrit.wikimedia.org/r/493887

Legoktm closed this task as Resolved.Mar 17 2019, 4:38 AM
Legoktm assigned this task to Umherirrender.